Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jdbc.rowset
Class WLSyncProvider

    java.lang.Object
      javax.sql.rowset.spi.SyncProvider
          weblogic.jdbc.rowset.WLSyncProvider

public class WLSyncProvider
extends SyncProvider

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class javax.sql.rowset.spi.SyncProvider
`DATASOURCE_DB_LOCK, DATASOURCE_NO_LOCK, DATASOURCE_ROW_LOCK, DATASOURCE_TABLE_LOCK, GRADE_CHECK_ALL_AT_COMMIT, GRADE_CHECK_MODIFIED_AT_COMMIT, GRADE_LOCK_WHEN_LOADED, GRADE_LOCK_WHEN_MODIFIED, GRADE_NONE, NONUPDATABLE_VIEW_SYNC, UPDATABLE_VIEW_SYNC`

Constructor Summary
`WLSyncProvider()`

Method Summary
`int` | `getDataSourceLock()`
`int` | `getProviderGrade()`
`String` | `getProviderID()`
`RowSetInternal` | `getRowSetInternal()`
`RowSetReader` | `getRowSetReader()`
`RowSetWriter` | `getRowSetWriter()`
`String` | `getVendor()`
`String` | `getVersion()`
`void` | `setDataSourceLock(int lock)`
`int` | `supportsUpdatableView()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLSyncProvider

    public WLSyncProvider()

Method Detail

### getDataSourceLock

    public int getDataSourceLock()
                          throws SyncProviderException

  Throws:
    `SyncProviderException`

### getProviderGrade

    public int getProviderGrade()

### getProviderID

    public String getProviderID()

### getRowSetInternal

    public RowSetInternal getRowSetInternal()

### getRowSetReader

    public RowSetReader getRowSetReader()

### getRowSetWriter

    public RowSetWriter getRowSetWriter()

### getVendor

    public String getVendor()

### getVersion

    public String getVersion()

### setDataSourceLock

    public void setDataSourceLock(int lock)
                           throws SyncProviderException

  Throws:
    `SyncProviderException`

### supportsUpdatableView

    public int supportsUpdatableView()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD